/*&#8212;&#8212;　文字の両脇にライン　&#8212;&#8212;*/
.title-border {
display: flex;
align-items: center;
}
.title-border:before,
.title-border:after {
border-top: 1px solid;
content: "";
flex-grow: 1;
}
.title-border:before {
margin-right: 1rem;
}
.title-border:after {
margin-left: 1rem;
}body{
margin: 5% 10%;
}

.kakomu{
	padding:0 2px; /* 枠と文字の空間 */
	/* margin:0 5px;  枠の外の空間 */
	background-color:#fff; /* 枠の背景色 */
	border:1px solid #777; /* 枠の線の太さ・種類・色 */
	/* border-radius:2px;  枠の角を丸くする */
	/* box-shadow: 1px 2px 2px #ddd; 影をいれる*/
}

.tunagi{
border-bottom: 1px solid #777;
}h1 {
  background: linear-gradient(transparent 70%, #a7d6ff 70%);
}

h2 {
  position: relative;
  padding: 0.25em 1em;
  border-top: solid 2px black;
  border-bottom: solid 2px black;
}
h2:before, h2:after {
  content: '';
  position: absolute;
  top: -7px;
  width: 2px;
  height: -webkit-calc(100% + 14px);
  height: calc(100% + 14px);
  background-color: black;
}
h2:before {
  left: 7px;
}
h2:after {
  right: 7px;
}.setumei {
 margin: 1px;
  padding: 2px 2px;
  border-left: 2px dashed #000;
}

summary::-webkit-details-marker {
  background: url(https://alicex.jp/data/tmpl_001/img/tmpl_001_upld_1.png) no-repeat center/6px;
  color: transparent;
}h5{
font-size: 100%;
color: #000000;
background: linear-gradient(transparent 50%, #ffce5b 50%);
}

h3{
font-size: 70%;
color: #111111;
background-color: #ffffff;
}
h4{
background: linear-gradient(transparent 70%, #a7d6ff 70%);
}